<script>
  function Controller($scope) {
    $scope.myDropDown = 'one';
  }
</script>

<div class="background-gradient view">
  <div id="form-div-signup">
    <form [formGroup]="signupForm" (ngSubmit)="submitSignup(signupForm.value)" novalidate>
        <a [routerLink]="['/']"> <img src="../../assets/img/exit.png" class="exit resize"/> </a> <br>
        <label>Registruj se</label>

        <div class="form-group input-div" [ngClass]="{'has-danger': f.firstname.invalid && (f.firstname.dirty || f.firstname.touched)}">
          <input type="text" id="name" class="form-control" formControlName="firstname" placeholder="Ime" [ngClass]="{'is-invalid': f.firstname.invalid && (f.firstname.dirty || f.firstname.touched)}">
            <div class="invalid-feedback" *ngIf="f.firstname.errors?.required">Ime je obavezno polje.</div>
            <div class="invalid-feedback" *ngIf="f.firstname.errors?.minlength">Ime mora da sadrži bar 2 karaktera.</div>
            <div class="invalid-feedback" *ngIf="f.firstname.errors?.maxlength">Ime ne može biti duže od 15 karaktera.</div>
        </div>

        <div class="form-group input-div" [ngClass]="{'has-danger': f.lastname.invalid && (f.lastname.dirty || f.lastname.touched)}">
          <input type="text" id="lastname" class="form-control" formControlName="lastname" placeholder="Prezime" [ngClass]="{'is-invalid': f.lastname.invalid && (f.lastname.dirty || f.lastname.touched)}">
          <div class="invalid-feedback" *ngIf="f.lastname.errors?.required">Prezime je obavezno polje.</div>
          <div class="invalid-feedback" *ngIf="f.lastname.errors?.minlength">Prezime mora da sadrži bar 2 karaktera.</div>
          <div class="invalid-feedback" *ngIf="f.lastname.errors?.maxlength">Prezime ne može biti duže od 15 karaktera.</div>
        </div>

        <div class="form-group input-div" [ngClass]="{'has-danger': f.email.invalid && (f.email.dirty || f.email.touched)}">
          <input type="email" id="email" class="form-control" formControlName="email" placeholder="E-mail" [ngClass]="{'is-invalid': f.email.invalid && (f.email.dirty || f.email.touched)}">
          <div class="invalid-feedback" *ngIf="f.email.errors?.required">Email je obavezno polje.</div>
          <div class="invalid-feedback" *ngIf="f.email.errors?.email">Email nije validan.</div>
        </div>

        <div class="form-group input-div" [ngClass]="{'has-danger': f.username.invalid && (f.username.dirty || f.username.touched)}">
          <input type="text" id="username" class="form-control" formControlName="username" placeholder="Korisnicko ime" [ngClass]="{'is-invalid': f.username.invalid && (f.username.dirty || f.username.touched)}">
          <div class="invalid-feedback" *ngIf="f.username.errors?.required">Korisničko ime je obavezno polje.</div>
          <div class="invalid-feedback" *ngIf="f.username.errors?.minlength">Korisničko ime mora da sadrži bar 6 karaktera.</div>
        </div>

        <div class="form-group input-div" [ngClass]="{'has-danger': f.password.invalid && (f.password.dirty || f.password.touched)}">
          <input type="password" id="password" class="form-control" formControlName="password" placeholder="Lozinka" [ngClass]="{'is-invalid': f.password.invalid && (f.password.dirty || f.password.touched)}">
          <div class="invalid-feedback" *ngIf="f.password.errors?.required">Lozinka je obavezno polje.</div>
          <div class="invalid-feedback" *ngIf="f.password.errors?.minlength">Lozinka mora da sadrži bar 8 karaktera.</div>
        </div>

        <div class="form-group input-div" [ngClass]="{'has-danger': f.confirmPassword.invalid && (f.confirmPassword.dirty || f.confirmPassword.touched)}">
          <input type="password" id="confirmPassword" class="form-control" formControlName="confirmPassword" placeholder="Potvrdi lozinku" [ngClass]="{'is-invalid': f.confirmPassword.invalid && (f.confirmPassword.dirty || f.confirmPassword.touched)}">
          <div class="invalid-feedback" *ngIf="f.confirmPassword.errors?.required">Neophodno je potvrditi lozinku.</div>
          <div class="invalid-feedback" *ngIf="f.confirmPassword.errors?.mustMatch">Lozinke se ne poklapaju.</div>
        </div>

        <div class="form-group input-div">
          <select formControlName="role" (change)="onRoleChange()">
            <option class="option-text-style" value="" disabled selected> Uloga </option>
            <option class="option-text-style" value="student"> Učenik </option>
            <option class="option-text-style" value="teacher"> Nastavnik </option>
            <option class="option-text-style" value="parent"> Roditelj </option>
          </select>
        </div>

        <div *ngIf="f.role.value == 'student'">
          <div class="form-group input-div select-text">
            <select formControlName="teacherUsername">
              <option value="" disabled selected>Nastavnik</option>
              <option class="option-text-style" [value]="teacher.username" *ngFor="let teacher of teachers | async">{{teacher.firstname}} {{teacher.lastname}}</option>
            </select>
          </div>
        </div>

        <div *ngIf="f.role.value == 'teacher'">
          <div class="form-group input-div select-text">
            <select formControlName="classGrade">
              <option value="" disabled selected>Razred</option>
              <option class="option-text-style" value="1"> 1 </option>
              <option class="option-text-style" value="2"> 2 </option>
              <option class="option-text-style" value="3"> 3 </option>
              <option class="option-text-style" value="4"> 4 </option>
            </select>
          </div>
        </div>

        <button id="signup" class="btn btn-text-style" type="submit" [disabled]="!signupForm.valid">Registruj se</button>
        <p class="smallText">Već ste korisnik?<a class="smallLink" [routerLink]="['/login']"> Ulogujte se</a></p>

      </form>
  </div>
</div>
